Subject: Re: bug#23024: ls output quoting (when using --dired switch)

From: Assaf Gordon <[email-masked]>
Date: Thu, 25 Oct 2018 10:09:47 -0600

close 23024
stop

(triaging old bugs)

On Wed, Sep 28, 2016 at 09:23:47PM +0100, Pádraig Brady wrote:
> On 16/03/16 17:07, Pádraig Brady wrote:
> > On 15/03/16 23:35, Daniel Lopez wrote:
> >>
> >> The recent change to the default way that ls renders filenames with
> >> spaces in (now surrounding them in single quotes) is also happening in
> >> the presence of this switch:
> >>
> > Right, we shouldn't mess with quoting in --dired mode.
> 
> On further analysis I see that --dired mode already distinguishes
> the quoting-style in its output.  Also we had already documented
> that --dired should specify a --quoting-style to get consistent output.
> Also this looks to have been fixed already in emacs:
> https://github.com/emacs-mirror/emacs/commit/e4adb6
> 
> Therefore I'm inclined to leave this behavior as is.
> 

With no further comments in 2 years, I'm closing this bug.

-assaf